<?php
/**
 *
 *
 * Footer copyright
 *
 *
 */
// Footer copyright
$wp_customize->add_section(
	'ostrich_magazine_footer_section',
	array(
		'title' => esc_html__( 'Footer', 'ostrich-magazine' ),
		'panel' => 'ostrich_magazine_general_panel',
	)
);

// Header menu sticky enable settings
$wp_customize->add_setting(
	'ostrich_magazine_footer_menu',
	array(
		'sanitize_callback' => 'ostrich_magazine_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'ostrich_magazine_footer_menu',
	array(
		'section'		=> 'ostrich_magazine_footer_section',
		'label'			=> esc_html__( 'Uncheck To Hide Footer Menu.', 'ostrich-magazine' ),
		'type'			=> 'checkbox',
	)
);

// Footer copyright setting
$wp_customize->add_setting(
	'ostrich_magazine_copyright_txt',
	array(
		'sanitize_callback' => 'ostrich_magazine_sanitize_html',
		'default' => $default['ostrich_magazine_copyright_txt'],
	)
);

$wp_customize->add_control(
	'ostrich_magazine_copyright_txt',
	array(
		'section'		=> 'ostrich_magazine_footer_section',
		'label'			=> esc_html__( 'Copyright text:', 'ostrich-magazine' ),
		'type'			=> 'textarea',
	)
);


$wp_customize->add_setting( 
	'ostrich_magazine_footer_logo',
	array(
		'sanitize_callback' => 'ostrich_magazine_sanitize_image',
	) 
);

$wp_customize->add_control( 
	new WP_Customize_Image_Control( $wp_customize, 'ostrich_magazine_footer_logo',
	array(
		'label'       		=> esc_html__( 'Footer Logo', 'ostrich-magazine' ),
		'section'     		=> 'ostrich_magazine_footer_section',
	)
) );